<?php
namespace Claromentis\Core\Component\ValueType;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_c8b38c7133c2e8460c1cca4223" . "0ac6c2" => base64_decode("dG" . "lt" . "ZQ" . "=="), "_5e30c4717ced3" . "6cff9e93e19a5c" . "576cc" => base64_decode("aXNfc3Rya" . "W5n"), "_aed8da0f19091214b78f8035" . "1048517c" => base64_decode("c3" . "Ry" . "bG" . "Vu"), "_7f628626d" . "d1d55c71b1" . "fc0932ffd1" . "d2c" => base64_decode("aXNfYX" . "JyYXk="), "_67a0d624aebcceb0abd5ce56a5" . "3ff06f" => base64_decode("ZGF0" . "ZQ=="));
use Claromentis\Core\Date\DateFormatter;




class TypeDateTime implements ValueType
{
    
    
    
    
    
    
    
    
    public function Serialize($value)
    {
        if ($value === null) {
            return null;
        }
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_7f628626dd1d55c71b" . "1fc0932ffd1d2c"]($value)) {
            $_67a0d624aebcceb0abd5ce56a53ff06f = \Date::CreateFrom($value[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_67a0d624aebcceb0abd5ce56a53ff06" . "f"]], $value[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_c8b38c7" . "133c2e84" . "60c1cca4" . "2230ac6c" . "2"]]);
        } else {
            $_67a0d624aebcceb0abd5ce56a53ff06f = \Date::CreateFrom($value->date, $value->time);
        }
        if (!$_67a0d624aebcceb0abd5ce56a53ff06f) {
            throw new \Exception();
        }
        
        
        $_0dbe978d64aca9dbe1aa157ff74b5602 = (string) $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DATE_FORMAT_TIMESTAMP);
        return $_0dbe978d64aca9dbe1aa157ff74b5602;
    }
    public function Unserialize($value)
    {
        if (empty($value)) {
            return null;
        }
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date($value);
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_67a0d624aebcce" . "b0abd5ce56a53ff" . "06f"] => $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DateFormatter::SHORT_DATE), $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c8b38c7133c2" . "e8460c1cca422" . "30ac6c2"] => $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DATE_FORMAT_CLA_TIME)];
    }
    public function Normalize($value)
    {
        if ($value === null) {
            return null;
        }
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_5e30c4717ced36cff9e93e19a" . "5c576cc"]($value) && $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_aed8da0f19091214b78f803510485" . "17c"]($value) === 14) {
            $value = $this->Unserialize($value);
        }
        return $value;
    }
    public function Modify($_fd536f3a4b49ad5514a4e7a5db1c6248, $_33e21c745c95d91261fc8f7b4b930af0)
    {
        return $this->Normalize($_33e21c745c95d91261fc8f7b4b930af0);
    }
}